Subject: Re: bug#21260: 23.2; Devanagari windows 10

From: Andy Moreton <[email-masked]>
Date: Wed, 19 Aug 2015 21:26:38 +0100

On Wed 19 Aug 2015, Eli Zaretskii wrote:

>> Date: Tue, 18 Aug 2015 22:40:08 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> I also have a few more improvements and bugfixes for minor problems I
>> discovered in the related parts of Uniscribe support, which I will
>> commit soon, before I mark this bug done.
>
> Done now, closing.

The recent changes broke the mingw64 (64bit) and cygwin w32 builds of
emacs.

Cygwin and msys2 mingw64 headers from w32api have this in usp10.h:

  22  #if !defined (UNISCRIBE_OPENTYPE) && (_WIN32_WINNT >= 0x0600)
  23  #define UNISCRIBE_OPENTYPE 0x0100
  24  #endif

  67  #if UNISCRIBE_OPENTYPE >= 0x0100
  68  typedef ULONG OPENTYPE_TAG;
  69  #endif

This seems to fix the build:

diff --git a/src/w32uniscribe.c b/src/w32uniscribe.c
index b1056bc104e0..c311cade6c1f 100644
--- a/src/w32uniscribe.c
+++ b/src/w32uniscribe.c
@@ -25,6 +25,8 @@ along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.  */
    of calling non-existent functions.  */
 #undef _WIN32_WINNT
 #define _WIN32_WINNT 0x500
+#undef UNISCRIBE_OPENTYPE
+#define UNISCRIBE_OPENTYPE 0x0100
 #include <windows.h>
 #include <usp10.h>